MODULE YOMIOP

USE PARKIND1  ,ONLY : JPIM     ,JPRB

IMPLICIT NONE

SAVE

!     ------------------------------------------------------------------

! -------- TRAJECTORY FOR ADJOINT OF PHYSICS --------

! NPCKFT95 : PACKING FACTOR
! NEXPBT95 : NUMBER OF BITS USED FOR EXPONENT WHEN PACKING
! NPCKFTS5 : PACKING FACTOR FOR SURFACE FILE
! NEXPBTS5 : NUMBER OF BITS USED FOR EXPONENT WHEN PACKING
!            FOR SURFACE FILE
! NPCKFPH5 : PACKING FACTOR FOR PHYS.TENDENCIES
! NEXPBPH5 : NUMBER OF BITS USED FOR EXPONENT WHEN PACKING
!            FOR PHYS.TENDENCIES

! NG3D95   : NUMBER OF 3D FIELDS - (NFLEVG)
! NG3P95   : NUMBER OF 3D FIELDS - (NFLEVG + 1)
! NG3DT95  : NUMBER OF 3D TENDENCY FIELDS - (NFLEVG)
! NG3PR95  : NUMBER OF 3D FLUXES FIELDS - (NFLEVG + 1)
! NG3S95   : NUMBER OF 3D SOIL FIELDS 
! NG2D95   : NUMBER OF 2D FIELDS
! NG2T95   : NUMBER OF 2D FIELDS WITH TILES
! NG2DSF5  : NUMBER OF 2D FIELDS FOR FLUXES
! NG2DS5   : NUMBER OF 2D SURFACE FIELDS 

INTEGER(KIND=JPIM) :: NPCKFT95
INTEGER(KIND=JPIM) :: NEXPBT95
INTEGER(KIND=JPIM) :: NPCKFTS5
INTEGER(KIND=JPIM) :: NEXPBTS5
INTEGER(KIND=JPIM) :: NPCKFPH5
INTEGER(KIND=JPIM) :: NEXPBPH5
INTEGER(KIND=JPIM) :: NG3D95
INTEGER(KIND=JPIM) :: NG3P95
INTEGER(KIND=JPIM) :: NG3DT95
INTEGER(KIND=JPIM) :: NG3PR95
INTEGER(KIND=JPIM) :: NG3S95
INTEGER(KIND=JPIM) :: NG2D95
INTEGER(KIND=JPIM) :: NG2T95
INTEGER(KIND=JPIM) :: NG2DSF5
INTEGER(KIND=JPIM) :: NG2DS5

!     ------------------------------------------------------------------
END MODULE YOMIOP
